package main

import (
	"log"
	"os"

	"github.com/urfave/cli/v2"
)

func main() {
	flags := []cli.Flag{
		&cli.BoolFlag{
			Name:    "all",
			Aliases: []string{"a"},
			Usage:   "所有应用",
		},
		&cli.StringSliceFlag{
			Name:  "app",
			Usage: "app列表",
		},
		&cli.StringFlag{
			Name:    "config",
			Aliases: []string{"c"},
			Usage:   "配置文件",
		},
	}

	app := cli.NewApp()
	app = &cli.App{
		Name:                 "wujian develop tool",
		Usage:                "无间开发者工具箱",
		Version:              "v0.0.1",
		EnableBashCompletion: true,
		Flags:                flags,
		Commands: cli.Commands{
			&cli.Command{
				Name:   "api",
				Usage:  "api应用列表",
				Action: ActionApi,
				Flags:  flags,
				Subcommands: []*cli.Command{
					{
						Name:   "new",
						Usage:  "创建一个api应用",
						Action: ActionNewApi,
					},
				},
			},
		},
	}

	err := app.Run(os.Args)
	if err != nil {
		log.Fatal(err)
	}
}
